libzypp 17.37.10

downloadwf.h File Reference
`#include <zypp-core/zyppng/pipelines/AsyncResult>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-core/ManagedFile.h>`

Go to the source code of this file.

## Classes
class | zyppng::CacheProviderContext< ZyppContextRefType >

## Namespaces
namespace | zyppng
namespace | zyppng::DownloadWorkflow

## Typedefs
using | zyppng::AsyncCacheProviderContext = CacheProviderContext<ContextRef>
using | zyppng::SyncCacheProviderContext = CacheProviderContext<SyncContextRef>

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (SyncContext)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
| zyppng::ZYPP_FWD_DECL_REFS (AsyncCacheProviderContext)
| zyppng::ZYPP_FWD_DECL_REFS (SyncCacheProviderContext)
AsyncOpRef< expected< zypp::ManagedFile > > | zyppng::DownloadWorkflow::provideToCacheDir (AsyncCacheProviderContextRef cacheContext, ProvideMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)
expected< zypp::ManagedFile > | zyppng::DownloadWorkflow::provideToCacheDir (SyncCacheProviderContextRef cacheContext, SyncMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)